const svg = d3.select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
const yScale = [];
const xScale = [];

const render = data =>{

    const yValue  = d => d.WeightP;
    const xValue = d => d.Block;
  console.log();
    const margin = {left:300,top:10  ,right:40,bottom:30};
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;

    const yScale = d3.scaleLinear()
        .domain([d3.max(data,yValue),0])
        .range([0,innerHeight]);
    
    
    const xScale = d3.scaleBand()
        .domain(data.map(xValue))
        .range([0,innerWidth])
        .padding(0.1);
    
    const g = svg.append('g')
        .attr('transform', `translate(${margin.left}, ${margin.top})`);

    // const color = d3.schemeRdYlGn()
    var rbg = d3.scaleSequential(d3.schemeRdYlGn);
    var z = d3.scaleSequential(d3.interpolateViridis);
    var myColor = d3.scaleSequential().domain([0,d3.max(data,yValue)])
    .interpolator(d3.interpolateRdYlGn);
   

    
       
    g.selectAll("rect").data(data)
        .enter().append('rect')
            .attr('x', d => xScale(d.Block))
            .attr('y', d => yScale(yValue(d)))
            .attr('height',d => innerHeight - yScale(yValue(d)))
            .attr('width',xScale.bandwidth())
            .attr("fill", d => myColor(yValue(d)))
            
    g.selectAll("text").data(data)
            .enter().append("text")
            .text(d => yValue(d))
            .attr('x', d => xScale(d.Block)+25)
            .attr('y', d => yScale(yValue(d))+15)
            .attr("font-family", "sans-serif")
            .attr("font-size", "11px")
            .attr("fill", "white")

    g.append('g')
        .call(d3.axisLeft(yScale));
    
    g.append('g').call(d3.axisBottom(xScale))
        .attr('transform',`translate(0, ${innerHeight})`);


// Handler for dropdown value change
  
const dropdownChange = () =>{
	var selection = d3.select(this).property('value')
	console.log(selection);
}
const list = {'Height %':'HeightP','Weight %':'WeightP'};
var dropdownList = Object.keys(list).sort();

var dropdown = d3.select(".options")
    .insert("select", "svg")
    .on("change", dropdownChange);

dropdown.selectAll("option")
    .data(dropdownList)
  	.enter().append("option")
    .attr("value", d => d)
    .text(d => d[0].toUpperCase() + d.slice(1,d.length));


}



d3.csv("data.csv").then(data => {
    data.forEach(d => {
        d.HeightP = +d.HeightP;
        d.WeightP = +d.WeightP;
    });
    render(data);
})







